Bug 320235 - Adding an application selected in one Activity to another via SLC causes problems
Summary: Adding an application selected in one Activity to another via SLC causes prob...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: Share Like Connect (show other bugs)
Version: Testing
Platform: Other Linux
: NOR major (vote)
Target Milestone: unscheduled
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 20:15 UTC by Thomas Pfeiffer
Modified: 2013-08-07 17:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2013-05-24 20:15:13 UTC
When I select aqn App on an Acitivty and try to add it to another one via SLC, the following happens:
- It sometimes disappears on the first Activity (which it shouldn't)
- It appears on the other one as a bookmark rather than an Activity

Reproducible: Always

Steps to Reproduce:
1. Select an Application on an Activity Screen
2. Select Connect
3. Select a different activity

Actual Results:  
(see above)

Expected Results:  
It appears on the second Activity in Apps in addition to the first one.

Found in the PA4 rc1 image.
Probably related to bug 320234
Comment 1 Thomas Pfeiffer 2013-08-06 19:28:03 UTC
Hm, what do we do about this bug (and the related one)? It's probably a problem in Nepomuk and I understand that it would be very risky to try to fix it.
On the other hand, this permanently makes the affected resource unusable. You can never add that application to any Activity again.
Comment 2 Marco Martin 2013-08-07 12:25:04 UTC
Git commit d2058115d8450dd4908222ea1a92cd43cc687803 by Marco Martin.
Committed on 07/08/2013 at 12:23.
Pushed by mart into branch 'master'.

add "Application" type to .desktop, not "bookmark"

makes adding apps to activity to current activity work correctly

M  +1    -1    dataengine/providers/activities/activitiesProvider.cpp

http://commits.kde.org/share-like-connect/d2058115d8450dd4908222ea1a92cd43cc687803
Comment 3 Thomas Pfeiffer 2013-08-07 17:59:04 UTC
I can confirm it's fixed, and bug 320234 along with it :)